<template>
    <p>followers: {{ StoreFollowers }}</p>
    <p>following: {{ Storefollows }}</p>

</template>

<script>

import { useStore } from '../store/store'
const store = useStore();



export default{
    name: 'CountFollowers', 
    props:{
        user: Object
    },

    data(){
        return{
        }
    },

    mounted(){

        this.followers = this.StoreFollowers
        this.following = this.Storefollows

    },

    computed: {
        
        StoreFollowers(){
            const user = store.getUserById(this.user._id)
            return user.followers.length
        },
        Storefollows(){
            const user = store.getUserById(this.user._id)
            return user.following.length
        }
    }

}

</script>

<style scoped>

</style>